Subject: Building icecat does not always respect the number of cores

From: divoplade <[email-masked]>
Date: Fri, 23 Oct 2020 21:58:38 +0200

Dear guix,

I have configured the guix daemon to use 1 core by default, so that
unattended upgrades and CI jobs will not fill my system memory and
crush my computer.

However, I noticed that in a precise time frame of compiling icecat,
the number of cores were not respected and all my cores were compiling.
The processes were named rustc, but it went fast so I could not gather
more info. 

This is not really annoying, because rust compilation does not take
that much memory, but I still have the feeling that it is a bug.

Best regards,

divoplade